%define glib2_version 2.2.0
%define pango_version 1.2.0
%define gtk2_version 2.2.0
%define gconf2_version 1.2.1
%define gnome_vfs2_version 2.2.0
%define libgnomeui_version 2.2.0
%define libgnome_version 2.2.0
%define startup_notification_version 0.5
%define po_package gnome-desktop-2.0
%define gnome_doc_utils_version 0.3.2

Summary: Package containing code shared among gnome-panel, gnome-session, nautilus, etc.
Name: gnome-desktop
Version: 2.14.0
Release: 1
URL: http://www.gnome.org
Source0: ftp://ftp.gnome.org/pub/GNOME/pre-gnome2/sources/gnome-desktop/%{name}-%{version}.tar.bz2
Source1: %{name}-2.8.0-extrapo.tar.bz2
Source2: gnome-money.png
Source3: gnome-modem.png

License: GPL 
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root

Patch1:   gnome-desktop-2.1.90-kdetheme.patch
Patch2:   gnome-desktop-2.9.91-desktop.patch

Requires: startcom-artwork
Requires: startcom-menus
Requires: startup-notification >= 0.5

Obsoletes: gnome-core gnome-core-devel
Provides: gnome-core

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libgnome-devel >= %{libgnome_version}
BuildRequires: startup-notification-devel >= %{startup_notification_version}
BuildRequires: gnome-doc-utils >= %{gnome_doc_utils_version}

BuildRequires: scrollkeeper gettext

PreReq: GConf2
PreReq: /usr/bin/gconftool-2

%description

The gnome-desktop package contains an internal library
(libgnomedesktop) used to implement some portions of the GNOME
desktop, and also some data files and other shared components of the
GNOME user environment.

%package devel
Summary: Libraries and headers for libgnome-desktop
Group: Development/Libraries
Requires: %name = %{version}-%{release}

Requires: glib2-devel >= %{glib2_version}
Requires: gtk2-devel >= %{gtk2_version}
Requires: GConf2-devel >= %{gconf2_version}
Requires: gnome-vfs2-devel >= %{gnome_vfs2_version}
Requires: libgnomeui-devel >= %{libgnomeui_version}
Requires: libgnome-devel >= %{libgnome_version}
Requires: startup-notification-devel >= %{startup_notification_version}

%description devel
Libraries and header files for the GNOME-internal private library 
libgnomedesktop

%prep
%setup -q

(cd po && tar -xvjf %{SOURCE1})

%patch1 -p1 -b .kdetheme
%patch2 -p1 -b .menu

cp -f %{SOURCE2} pixmaps/
cp -f %{SOURCE3} pixmaps/

%build

%configure --with-gnome-distributor="StartCom Ltd." --disable-scrollkeeper
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# stuff we don't want
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-,root,root,-)

%doc AUTHORS COPYING ChangeLog NEWS README

%{_datadir}/applications/gnome-about.desktop
%{_datadir}/gnome-about
%{_datadir}/gnome/help/fdl
%{_datadir}/gnome/help/gnome-feedback
%{_datadir}/gnome/help/gpl
%{_datadir}/gnome/help/lgpl
%{_datadir}/pixmaps/*
%{_datadir}/man/man*/*
%{_datadir}/omf/*
%{_libdir}/lib*.so.*

%{_bindir}/*

%files devel
%defattr(-,root,root,-)

%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
#%{_datadir}/gtk-doc

%changelog
* Sat Apr 01 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Tue Mar 14 2006 Ray Strode <rstrode@redhat.com> - 2.14.0-1
- Update to 2.14.0

* Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de> 2.13.92-2
- BuildRequires: gnome-doc-utils

* Mon Feb 27 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.92-1
- Update to 2.13.92

* Mon Feb 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.91-1
- Update to 2.13.91

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.13.90-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.13.90-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Jan 28 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.90-1
- Update to 2.13.90

* Tue Jan 16 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.5-1
- Update to 2.13.5

* Tue Jan 03 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.4-1
- Update to 2.13.4

* Wed Dec 14 2005 Matthias Clasen <mclasen@redhat.com> - 2.13.3-1
- Update to 2.13.3

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov 30 2005 Matthias Clasen <mclasen@redhat.com> - 2.13.2-1
- Update to 2.13.2

* Thu Oct  6 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.1-1
- Update to 2.12.1

* Thu Sep  8 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.0-1
- Update to 2.12.0

* Tue Aug 16 2005 Warren Togami <wtogami@redhat.com> - 2.11.90-2
- rebuild for new cairo

* Fri Aug  5 2005 Matthias Clasen <mclasen@redhat.com> - 2.11.90-1
- Update to 2.11.90

* Sat Jul  9 2005 Matthias Clasen <mclasen@redhat.com> - 2.11.4-1
- Update to 2.11.4

* Mon May 23 2005 Ray Strode <rstrode@redhat.com> - 2.10.0-5
- Let's try this gettext patch one more time--maybe, just
  maybe, I'll get it right this time (bug 155659).

* Wed May 16 2005 Ray Strode <rstrode@redhat.com> - 2.10.0-4
- run gettext initialization routines on startup (bug 155659)
  (use right patch).

* Thu May  5 2005 Ray Strode <rstrode@redhat.com> - 2.10.0-3
- Revert previous patch--it was wrong(bug 155659).

* Wed May  4 2005 Ray Strode <rstrode@redhat.com> - 2.10.0-2
- run gettext initialization routines on startup (bug 155659).

* Thu Mar 17 2005 Ray Strode <rstrode@redhat.com> - 2.10.0-1
- Update to upstream version 2.10.0

* Wed Mar  2 2005 Mark McLoughlin <markmc@redhat.com> 2.9.91-3
- Rebuild with gcc4

* Mon Feb 21 2005 Than Ngo <than@redhat.com> 2.9.91-2
- gnome-about only in GNOME-menu

* Wed Feb  9 2005 Matthias Clasen <mclasen@redhat.com> 2.9.91-1
- Update to 2.9.91

* Fri Feb  4 2005 Matthias Clasen <mclasen@redhat.com> 2.9.90.1-1
- Update to 2.9.90.1

* Tue Oct 12 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-3
- Add tamil translation

* Wed Sep 29 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-2
- Add some new icons from upstream

* Tue Sep 21 2004 Mark McLoughlin <markmc@redhat.com> 2.8.0-1
- Update to 2.8.0

* Mon Aug 30 2004 Mark McLoughlin <markmc@redhat.com> 2.7.92-1
- Update to 2.7.92

* Wed Aug 18 2004 Mark McLoughlin <markmc@redhat.com> 2.7.91-1
- Update to 2.7.91

* Wed Aug  4 2004 Mark McLoughlin <markmc@redhat.com> 2.7.90-1
- Update to 2.7.90

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Apr 17 2004 Warren Togami <wtogami@redhat.com> 2.6.0.1-2
- #111123 BR scrollkeeper gettext, some minor cleanups

* Wed Mar 31 2004 Mark McLoughlin <markmc@redhat.com> 2.6.0.1-1
- Update to 2.6.0.1

* Wed Mar 10 2004 Mark McLoughlin <markmc@redhat.com> 2.5.91-1
- Update to 2.5.91

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Mark McLoughlin <markmc@redhat.com> 2.5.90-1
- Update to 2.5.90
- Remove hack to get rid of GNOME_COMPILE_WARNINGS and
  use --disable-compile-warnings instead.
- Package the (L)GPL/FDL and gnome-feedback docs

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jan 26 2004 Alexander Larsson <alexl@redhat.com> 2.5.3-1
- Update to 2.5.3

* Wed Sep 10 2003 Jonathan Blandford <jrb@redhat.com> 2.4.0-1
- 2.4.0

* Wed Aug 27 2003 Alexander Larsson <alexl@redhat.com> 2.3.7-1
- update to 2.3.7

* Thu Aug 14 2003 Alexander Larsson <alexl@redhat.com> 2.3.6.1-1
- update to gnome 2.3

* Mon Jul 28 2003 Havoc Pennington <hp@redhat.com> 2.2.2-2
- libtoolize
- rebuild

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 2.2.2-1
- 2.2.2
- remove now-upstream patch

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 17 2003 Havoc Pennington <hp@redhat.com> 2.2.0.1-4
- fix mem corruption #84361

* Fri Feb 14 2003 Havoc Pennington <hp@redhat.com> 2.2.0.1-3
- nuke Xft buildreq

* Wed Feb  5 2003 Havoc Pennington <hp@redhat.com> 2.2.0.1-2
- require startup-notification 0.5, just for paranoia

* Wed Feb  5 2003 Alexander Larsson <alexl@redhat.com>
- 2.2.0.1

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 15 2003 Jonathan Blandford <jrb@redhat.com>
- require startup-notification

* Tue Jan 14 2003 Alexander Larsson <alexl@redhat.com> 2.1.90-2
- Change the fallback kde theme name from hicolor to crystalsvg.

* Thu Jan  9 2003 Havoc Pennington <hp@redhat.com> 2.1.90-1
- 2.1.90

* Sat Dec 14 2002 Havoc Pennington <hp@redhat.com>
- 2.1.4

* Tue Dec  3 2002 Havoc Pennington <hp@redhat.com>
- add gconftool-2 prereq

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- remove bad post (we no longer include a schemas file)

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- 2.1.3

* Wed Nov 13 2002 Havoc Pennington <hp@redhat.com>
- 2.1.2

* Wed Sep  4 2002 Havoc Pennington <hp@redhat.com>
- support a magic flag in icon theme to avoid using 
  prescaled icons

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com>
- put in a schema so we default the the right icon theme
- fill in gnome-version.xml stuff #71445

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 2.0.6 final for gnome 2.0.1

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 2.0.5

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- 2.0.3.90 cvs snap, should fix failure to launch symlink desktop
  files

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Version 2.0.2, fix missing po files

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- also obsolete gnome-core-devel
- require redhat-artwork and redhat-menus
- build require Xft/fontconfig

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- add post/postun ldconfig

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.5.22

* Fri May 31 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May 31 2002 Havoc Pennington <hp@redhat.com>
- 1.5.21

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment
- build requires libgnome

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 1.5.20
- provides gnome-core

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.5.18

* Tue Apr 16 2002 Havoc Pennington <hp@redhat.com>
- Initial build.
